E-MailRelay

Public Member Functions | List of all members
GSmtp::NullFilter Class Reference

A Filter class that does nothing. More...

`#include <gnullfilter.h>`

Inheritance diagram for GSmtp::NullFilter:

## Public Member Functions
| NullFilter (GNet::ExceptionSink, bool server_side)
| Constructor. More...
| NullFilter (GNet::ExceptionSink, bool server_side, unsigned int exit_code)
| Constructor for a processor that behaves like an executable that always exits with the given exit code. More...
| NullFilter (const NullFilter &)=delete
| NullFilter (NullFilter &&)=delete
void | operator= (const NullFilter &)=delete
void | operator= (NullFilter &&)=delete
Public Member Functions inherited from GSmtp::Filter
virtual | ~Filter ()=default
| Destructor.
virtual std::string | id () const =0
| Returns the id passed to the derived-class constructor. More...
virtual bool | simple () const =0
| Returns true if the concrete filter class is one that can never change the file (eg. More...
virtual void | start (const MessageId &)=0
| Starts the filter for the given message. More...
virtual G::Slot::Signal< int > & | doneSignal ()=0
| Returns a signal which is raised once start() has completed or failed. More...
virtual void | cancel ()=0
| Aborts any incomplete filtering.
virtual bool | abandoned () const =0
| Returns true if the filter result was 'abandoned'.
virtual std::string | response () const =0
| Returns a non-empty response string iff the filter failed, or an empty response if successful or abandoned.
virtual std::string | reason () const =0
| Returns a non-empty reason string iff the filter failed, or an empty reason if successful or abandoned.
virtual bool | special () const =0
| Returns true if the filter indicated special handling is required.
std::string | str (bool server_side) const
| Returns a diagnostic string for logging. More...

## Additional Inherited Members
Public Types inherited from GSmtp::Filter
enum class | Result { f_ok = 0 , f_abandon = 1 , f_fail = 2 }

## Detailed Description

A Filter class that does nothing.

Definition at line 36 of file gnullfilter.h.

## Constructor & Destructor Documentation

## ◆ NullFilter() [1/2]

GSmtp::NullFilter::NullFilter | ( | GNet::ExceptionSink | es,
|  | bool | server_side
| ) |  |

Constructor.

Definition at line 25 of file gnullfilter.cpp.

## ◆ NullFilter() [2/2]

GSmtp::NullFilter::NullFilter | ( | GNet::ExceptionSink | es,
|  | bool | server_side,
|  | unsigned int | exit_code
| ) |  |

Constructor for a processor that behaves like an executable that always exits with the given exit code.

Definition at line 32 of file gnullfilter.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gnullfilter.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gnullfilter.cpp